org.apache.http.conn.ssl

## Class BrowserCompatHostnameVerifier

- java.lang.Object
- - org.apache.http.conn.ssl.AbstractVerifier
  - - org.apache.http.conn.ssl.BrowserCompatHostnameVerifier

- All Implemented Interfaces:
    HostnameVerifier, X509HostnameVerifier

  Deprecated.
  (4.4) Use `DefaultHostnameVerifier`

      @Contract(threading=IMMUTABLE)
      @Deprecated
      public class BrowserCompatHostnameVerifier
      extends AbstractVerifier

  The HostnameVerifier that works the same way as Curl and Firefox.

  The hostname must match either the first CN, or any of the subject-alts. A wildcard can occur in the CN, and in any of the subject-alts.

  The only difference between BROWSER_COMPATIBLE and STRICT is that a wildcard (such as "*.foo.com") with BROWSER_COMPATIBLE matches all subdomains, including "a.b.foo.com".

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BrowserCompatHostnameVerifier` | `INSTANCE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserCompatHostnameVerifier()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Deprecated.
    `void` | `verify(String host, String[] cns, String[] subjectAlts)` Deprecated. Checks to see if the supplied hostname matches any of the supplied CNs or "DNS" Subject-Alts.

    - ### Methods inherited from class org.apache.http.conn.ssl.AbstractVerifier

      `acceptableCountryWildcard, countDots, getCNs, getDNSSubjectAlts, verify, verify, verify, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BrowserCompatHostnameVerifier INSTANCE

      Deprecated.

  - ### Constructor Detail

    - #### BrowserCompatHostnameVerifier

          public BrowserCompatHostnameVerifier()

      Deprecated.

  - ### Method Detail

    - #### verify

          public final void verify(String host,
                    String[] cns,
                    String[] subjectAlts)
                            throws SSLException

      Deprecated.
      Description copied from interface: `X509HostnameVerifier`
      Checks to see if the supplied hostname matches any of the supplied CNs or "DNS" Subject-Alts. Most implementations only look at the first CN, and ignore any additional CNs. Most implementations do look at all of the "DNS" Subject-Alts. The CNs or Subject-Alts may contain wildcards according to RFC 2818.
      Parameters:
        `host` - The hostname to verify.
        `cns` - CN fields, in order, as extracted from the X.509 certificate.
        `subjectAlts` - Subject-Alt fields of type 2 ("DNS"), as extracted from the X.509 certificate.
      Throws:
        `SSLException` - if the verification process fails.

    - #### toString

          public final String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.